#
# Before changing the macro below see the README file included in
# the syslog-ng package.
#
%define with_scheme_preprocessor 0

Summary:          Support library for syslog-ng
Name:             libol
Version:          0.3.15
Release:          0.fdr.1.2
Epoch:            0
Group:            System Environment/Libraries
License:          GPL
Url:              http://www.balabit.com/products/syslog-ng/
Source:           http://www.balabit.com/downloads/syslog-ng/libol/0.3/libol-0.3.15.tar.gz
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
%if %{with_scheme_preprocessor}
BuildRequires:    scsh
%endif
Requires(post):   /sbin/ldconfig
Requires(postun): /sbin/ldconfig

%description
Support library for syslog-ng.


%package devel
Summary:          Support library for syslog-ng: headers and libraries
Group:            Development/Libraries
Requires:         %{name} = %{epoch}:%{version}-%{release}

%description devel
Support library for syslog-ng: headers and libraries.


%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc ChangeLog COPYING
%{_libdir}/libol.so.0
%{_libdir}/libol.so.0.0.0

%files devel
%defattr(-,root,root,-)
%if %{with_scheme_preprocessor}
%{_bindir}/make_class
%else
%exclude %{_bindir}/make_class
%endif
%{_bindir}/libol-config
%{_libdir}/libol.a
%{_libdir}/libol.la
%{_libdir}/libol.so
%{_includedir}/libol


%changelog
* Sat Feb 05 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0:0.3.15-0.fdr.1
- Update to 0.3.15.

* Wed Aug 25 2004 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0:0.3.14-0.fdr.1
- Update to 0.3.14.
- Merged upstream specfile changes.
- Upstream configure.in has been patched (make CFLAGS no longer needed).

* Tue Mar  2 2004 Jose Pedro Oliveira <jpo@di.uminho.pt> 0:0.3.13-0.fdr.2
- building with CFLAGS="$RPM_OPT_FLAGS"

* Sat Feb 28 2004 Jose Pedro Oliveira <jpo@di.uminho.pt> 0:0.3.13-0.fdr.1
- removed blockers listed in the first comment of bugzilla entry 1331
- https://bugzilla.fedora.us/show_bug.cgi?id=1331

* Fri Feb 27 2004 Jose Pedro Oliveira <jpo@di.uminho.pt> 0:0.3.13-0.fdr.0.1
- updated to version 0.3.13

* Sat Feb  7 2004 Jose Pedro Oliveira <jpo@di.uminho.pt> 0:0.3.11-0.fdr.3
- make %{?_smp_mflags}

* Sun Jan 25 2004 Jose Pedro Oliveira <jpo@di.uminho.pt> 0:0.3.11-0.fdr.2
- moved files libol-config and libol.so into the devel RPM

* Sat Jan 10 2004 Jose Pedro Oliveira <jpo@di.uminho.pt> 0:0.3.11-0.fdr.1
- first spec for fedora.us

* Tue Oct  7 2003 Jose Pedro Oliveira <jpo@di.uminho.pt>
- updated to version 0.3.11

* Tue Apr 15 2003 Jose Pedro Oliveira <jpo@di.uminho.pt>
- included missing file: /usr/bin/make_class (caused problems in RH9)
 
* Thu Apr 10 2003 Jose Pedro Oliveira <jpo@di.uminho.pt>
- specfile reformated 
- replaced hard coded values by RPM macros

* Sun Jul 30 2000 Hollis Blanchard <hollis@penguinppc.org>
- initial RPM

# vim:set ai ts=4 sw=4:
